### Hierarchy

- DrawTextField

## Index

### Constructors

- constructor

### Properties

- anchor
- options
- text

### Methods

- draw
- getUpperLeft
- measureHeight
- measureWidth

## Constructors

### constructor

- new DrawTextField(text: string | string[] | DrawTextField, anchor: IPoint, options?: IDrawTextFieldOptions): DrawTextField

- - Defined in draw/DrawTextField.ts:58

  #### Parameters

  - ##### text: string | string[] | DrawTextField

  - ##### anchor: IPoint

  - ##### options: IDrawTextFieldOptions = {}

  #### Returns DrawTextField

## Properties

### anchor

anchor: IPoint

- Defined in draw/DrawTextField.ts:56

### options

options: DrawTextFieldOptions

- Defined in draw/DrawTextField.ts:58

### text

text: string[]

- Defined in draw/DrawTextField.ts:54

## Methods

### draw

- draw(canvasArg: string | CanvasRenderingContext2D | HTMLCanvasElement): void

- - Defined in draw/DrawTextField.ts:103

  #### Parameters

  - ##### canvasArg: string | CanvasRenderingContext2D | HTMLCanvasElement

  #### Returns void

### getUpperLeft

- getUpperLeft(ctx: CanvasRenderingContext2D, canvasDims?: IDimensions): IPoint

- - Defined in draw/DrawTextField.ts:83

  #### Parameters

  - ##### ctx: CanvasRenderingContext2D

  - ##### Optional canvasDims: IDimensions

  #### Returns IPoint

### measureHeight

- measureHeight(): number

- - Defined in draw/DrawTextField.ts:78

  #### Returns number

### measureWidth

- measureWidth(ctx: CanvasRenderingContext2D): number

- - Defined in draw/DrawTextField.ts:73

  #### Parameters

  - ##### ctx: CanvasRenderingContext2D

  #### Returns number